Page MenuHomePhabricator

remove operations-apache-config-lint on operations/mediawiki-config
Closed, ResolvedPublic

Description

The repo operations/mediawiki-config runs the jenkins check "operations-apache-config-lint" which will always fail because of:

./refreshDomainRedirects: No such file or directory

The Apache config used to be in operations/apache-config in the past, then it got moved into the mediawiki module inside operations/puppet, but it never was in operations/mediawiki-config afaik. The file refreshDomainRedirects can be found in
./modules/mediawiki/files/apache/sites/redirects/refreshDomainRedirects in operations/puppet but not here.

Let's disable this here, instead make sure it does run on operations/puppet if files under mediawiki/files/apache are touched, if possible.

Event Timeline

Dzahn created this task.Dec 17 2014, 12:43 PM
Dzahn raised the priority of this task from to Needs Triage.
Dzahn updated the task description. (Show Details)
Dzahn changed Security from none to None.
Dzahn added a subscriber: Dzahn.

example links:

https://gerrit.wikimedia.org/r/#/c/180451/
operations-apache-config-lint FAILURE in 29s (non-voting)

https://integration.wikimedia.org/ci/job/operations-apache-config-lint/5636/console
./refreshDomainRedirects: No such file or directory

scfc added a subscriber: scfc.Dec 17 2014, 1:51 PM
Krinkle claimed this task.Dec 18 2014, 11:16 PM
Krinkle triaged this task as Normal priority.
Krinkle removed a project: Jenkins.

Change 180994 had a related patch set uploaded (by Krinkle):
Don't run operations-apache-config-lint on operations/mediawiki-config

https://gerrit.wikimedia.org/r/180994

Patch-For-Review

It was enabled in change 3ecc0a8d52 in integration/zuul-config. I guess the idea was that, since the actual docroots are in operations/mediawiki-config, it'd be nice to verify that changes in there don't break or remove an actively used docroot. However for that to work properly, the job would have to fetch apache config and re-arrange the workspaces accordingly (zuul-cloner maybe).

But as it is, that change added a job to mediawki-config that always fails...

Change 180994 merged by jenkins-bot:
Don't run operations-apache-config-lint on operations/mediawiki-config

https://gerrit.wikimedia.org/r/180994

Krinkle closed this task as Resolved.Dec 19 2014, 12:06 AM